
%define plugin	ttxtsubs
%define name	vdr-plugin-%plugin
%define version	0.0.5
%define rel	7

Summary:	VDR plugin: Teletext subtitles
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		ftp://ftp.nada.kth.se/pub/home/ragge/vdr/
Source:		ftp://ftp.nada.kth.se/pub/home/ragge/vdr/vdr-%plugin-%version.tar.bz2
# http://users.tkk.fi/~rahrenbe/vdr/
Patch1:		vdr-ttxtsubs-0.0.5-lusikkahaarukka-edition.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi

%description
This plugin implements displaying, recording and replaying
teletext based subtitles using the on screen display.

This is the lusikkahaarukka edition, currently maintained
by Rolf Ahrenberg.

%prep
%setup -q -n %plugin-%version
%patch1 -p1 -b .lusikkahaarukka

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README TROUBLESHOOTING HISTORY

%changelog
* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-7mdv2007.0
- rebuild for new vdr

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-6mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-5mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-4mdv2007.0
- rebuild for new vdr

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-3mdv2007.0
- rebuild for new vdr

* Sun Jun 04 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-2mdv2007.0
- rebuild for new vdr

* Sat Jun 03 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-1mdv2007.0
- initial Mandriva release
